import React from 'react';
import { render, screen } from '@testing-library/react';

import Calendar from '.';

describe('Calendar tests', () => {

  test('Should resolve', () => {
    expect(Calendar).toEqual(expect.anything());
  });

  test('Should render', () => {
    Date.now = jest.fn(() => 1482363367071);
    render(
      <Calendar
        weekStartsOn={0}
        onChange={item => {
          console.log('item selected:', item);
        }}
      />
    );

    expect(screen).toMatchSnapshot();
  });
});