const coreStyles = {
  calendarWrapper: 'rdrCalendarWrapper',
  collapsibleCalendarBody: 'rdrCollapsibleCalendarBody',
  collapsibleCalendarButton: 'rdrCollapsibleCalendarButton',
  collapsibleCalendarHeader: 'rdrCollapsibleCalendarHeader',
  collapsibleCalendarWrapper: 'rdrCollapsibleCalendarWrapper',
  dateDisplay: 'rdrDateDisplay',
  dateDisplayItem: 'rdrDateDisplayItem',
  dateDisplayItemActive: 'rdrDateDisplayItemActive',
  dateDisplayWrapper: 'rdrDateDisplayWrapper',
  dateRangePickerWrapper: 'rdrDateRangePickerWrapper',
  dateRangeWrapper: 'rdrDateRangeWrapper',
  day: 'rdrDay',
  dayActive: 'rdrDayActive',
  dayDisabled: 'rdrDayDisabled',
  dayEndOfMonth: 'rdrDayEndOfMonth',
  dayEndOfWeek: 'rdrDayEndOfWeek',
  dayEndPreview: 'rdrDayEndPreview',
  dayHovered: 'rdrDayHovered',
  dayInPreview: 'rdrDayInPreview',
  dayNumber: 'rdrDayNumber',
  dayPassive: 'rdrDayPassive',
  daySelected: 'rdrDaySelected',
  dayStartOfMonth: 'rdrDayStartOfMonth',
  dayStartOfWeek: 'rdrDayStartOfWeek',
  dayStartPreview: 'rdrDayStartPreview',
  dayToday: 'rdrDayToday',
  dayWeekend: 'rdrDayWeekend',
  days: 'rdrDays',
  definedRangesWrapper: 'rdrDefinedRangesWrapper',
  endEdge: 'rdrEndEdge',
  inRange: 'rdrInRange',
  infiniteMonths: 'rdrInfiniteMonths',
  inputRange: 'rdrInputRange',
  inputRangeInput: 'rdrInputRangeInput',
  inputRangeLabel: 'rdrInputRangeLabel',
  inputRanges: 'rdrInputRanges',
  month: 'rdrMonth',
  monthAndYearDivider: 'rdrMonthAndYearDivider',
  monthAndYearPickers: 'rdrMonthAndYearPickers',
  monthAndYearWrapper: 'rdrMonthAndYearWrapper',
  monthName: 'rdrMonthName',
  monthPicker: 'rdrMonthPicker',
  months: 'rdrMonths',
  monthsHorizontal: 'rdrMonthsHorizontal',
  monthsVertical: 'rdrMonthsVertical',
  nextButton: 'rdrNextButton',
  nextPrevButton: 'rdrNextPrevButton',
  prevButton: 'rdrPprevButton',
  selected: 'rdrSelected',
  startEdge: 'rdrStartEdge',
  staticRange: 'rdrStaticRange',
  staticRangeCustomSelection: 'rdrStaticRangeCustomSelection',
  staticRangeLabel: 'rdrStaticRangeLabel',
  staticRangeSelected: 'rdrStaticRangeSelected',
  staticRanges: 'rdrStaticRanges',
  staticRangesWrapper: 'rdrStaticRangesWrapper',
  weekDay: 'rdrWeekDay',
  weekDays: 'rdrWeekDays',
  yearPicker: 'rdrYearPicker',
};

export type CoreStyles = typeof coreStyles;
export type ClassNames = {
  [k in keyof CoreStyles]: string;
}
export const DEFAULT_COLOR = "#3d91ff";
export default coreStyles;