import React from 'react';
import { shallow } from 'enzyme';
import Calendar from '.';
describe('Calendar tests', function () {
    test('Should resolve', function () {
        expect(Calendar).toEqual(expect.anything());
    });
    test('Should render', function () {
        Date.now = jest.fn(function () { return 1482363367071; });
        var wrapper = shallow(React.createElement(Calendar, { weekStartsOn: 0, onChange: function (item) {
                console.log('item selected:', item);
            } }));
        expect(wrapper).toMatchSnapshot();
    });
});
