import React from 'react';
import { ClearPreview, MaybeEmptyRange, NotFullyEmptyRange, PreviewRange, RangeFocus, StaticRange } from '../../../types';
declare type ComponentProps = {
    focusedRange?: RangeFocus;
    focusedRangeIndex: number;
    handleRangeChange: (range: MaybeEmptyRange, allProps: ComponentProps) => void;
    onChange?: (keyedRange: {
        [k: string]: MaybeEmptyRange;
    }) => void;
    onPreviewChange?: (r?: PreviewRange | ClearPreview) => void;
    rangeColors?: string[];
    ranges?: NotFullyEmptyRange[];
    renderStaticRangeLabel?: (r: StaticRange) => JSX.Element;
    selectedRange: MaybeEmptyRange;
    staticRange: StaticRange;
};
declare const StaticRangeButton: React.FC<ComponentProps>;
export default StaticRangeButton;
//# sourceMappingURL=index.d.ts.map