import React from 'react';
import { InputRangeWihLabel, NotFullyEmptyRange, RangeFocus, StaticRange, WeekStartsOn, ClearPreview, PreviewRange } from '../../types';
import { StaticRangesHandleRangeChangeProps } from '../StaticRanges';
declare type ComponentProps = StaticRangesHandleRangeChangeProps & {
    className?: string;
    footerContent?: JSX.Element;
    headerContent?: JSX.Element;
    inputRanges?: InputRangeWihLabel[];
    onPreviewChange?: (r?: PreviewRange | ClearPreview) => void;
    rangeColors?: string[];
    renderStaticRangeLabel?: (r: StaticRange) => JSX.Element;
    staticRanges?: StaticRange[];
    weekStartsOn?: WeekStartsOn;
};
export declare type DefinedRangeCP = ComponentProps;
declare type DefaultComponentProps = StaticRangesInputRanges & {
    ranges: NotFullyEmptyRange[];
    rangeColors: string[];
    focusedRange: RangeFocus;
    weekStartsOn: WeekStartsOn;
};
export declare type DefinedRangeDCP = DefaultComponentProps;
declare type StaticRangesInputRanges = {
    staticRanges: StaticRange[];
    inputRanges: InputRangeWihLabel[];
};
declare const DefinedRange: React.FC<ComponentProps>;
export default DefinedRange;
//# sourceMappingURL=index.d.ts.map