import { ChangeEvent, Component, FocusEventHandler } from 'react';
declare type Styles = {
    inputRange: string;
    inputRangeInput: string;
    inputRangeLabel: string;
};
declare type ComponentProps = {
    value: string | number;
    label: string | JSX.Element;
    placeholder: string;
    styles: Styles;
    onBlur: FocusEventHandler<HTMLInputElement>;
    onFocus: FocusEventHandler<HTMLInputElement>;
    onChange: (n: number) => void;
};
declare class InputRangeField extends Component<ComponentProps> {
    static defaultProps: {
        value: string;
        placeholder: string;
    };
    constructor(props: ComponentProps);
    shouldComponentUpdate(nextProps: ComponentProps): boolean;
    onChange: (e: ChangeEvent<HTMLInputElement>) => void;
    render(): JSX.Element;
}
export default InputRangeField;
//# sourceMappingURL=index.d.ts.map