// Type definitions for react-date-range-won 1.5
// Project: https://github.com/gbili/react-date-range-won (Does not have to be to GitHub, but prefer linking to a source code repository rather than to a project website.)
// Definitions by: Guillermo Pages <https://github.com/gbili>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
export var IGNORE_PREVIEW = undefined;
export var CLEAR_PREVIEW = null;
export var DEFAULT_DISPLAY_MODE = "dateRange";
export function isModeMapperKey(s, o) {
    return Object.keys(o).indexOf(s) !== -1;
}
export function isSureRange(range) {
    return range.startDate instanceof Date && range.endDate instanceof Date;
}
export function isNoEndDateRange(r) {
    return r.hasOwnProperty('startDate') && r.endDate === null;
}
export function hasRangeGen(wr) {
    return typeof wr.range === 'function';
}
export function hasRange(wr) {
    return typeof wr.range !== 'function';
}
export function isNotFullyEmptyRange(r) {
    return typeof r.startDate !== 'undefined' && typeof r.endDate !== 'undefined';
}
